EACCertificateBuilder (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.eac

## Class EACCertificateBuilder

- java.lang.Object
- - org.bouncycastle.eac.EACCertificateBuilder

-     public class EACCertificateBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EACCertificateBuilder(org.bouncycastle.asn1.eac.CertificationAuthorityReference certificationAuthorityReference, org.bouncycastle.asn1.eac.PublicKeyDataObject publicKey, org.bouncycastle.asn1.eac.CertificateHolderReference certificateHolderReference, org.bouncycastle.asn1.eac.CertificateHolderAuthorization certificateHolderAuthorization, org.bouncycastle.asn1.eac.PackedDate certificateEffectiveDate, org.bouncycastle.asn1.eac.PackedDate certificateExpirationDate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EACCertificateHolder` | `build(EACSigner signer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EACCertificateBuilder

          public EACCertificateBuilder(org.bouncycastle.asn1.eac.CertificationAuthorityReference certificationAuthorityReference,
                               org.bouncycastle.asn1.eac.PublicKeyDataObject publicKey,
                               org.bouncycastle.asn1.eac.CertificateHolderReference certificateHolderReference,
                               org.bouncycastle.asn1.eac.CertificateHolderAuthorization certificateHolderAuthorization,
                               org.bouncycastle.asn1.eac.PackedDate certificateEffectiveDate,
                               org.bouncycastle.asn1.eac.PackedDate certificateExpirationDate)

  - ### Method Detail

    - #### build

          public EACCertificateHolder build(EACSigner signer)
                                     throws EACException

      Throws:
        `EACException`